#
# spec file for package iptraf (Version 3.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           iptraf
License:        GPL
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Version:        3.0.0
Release:        13.2
Summary:        TCP/IP Network Monitor
URL:            http://iptraf.seul.org/
Source:         iptraf-%{version}.tar.bz2
Patch:          iptraf-%{version}.patch
Patch1:         %{name}-%{version}-euid-fix.patch
Patch2:         %{name}-%{version}-dev.patch
Patch3:         %{name}-%{version}-headers.patch
Patch4:         %{name}-%{version}-support.patch
Patch5:         %{name}-%{version}-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IPTraf is a console-based network statistics utility. It gathers a
variety of information such as TCP connection packet and byte counts,
interface statistics and activity indicators, TCP/UDP traffic
breakdowns, and LAN station packet and byte counts.



Authors:
--------
    Gerard Paul Java <riker@mozcom.com>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
cd src
make

%install
rm -rf $RPM_BUILD_ROOT
cd src
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/var/lib/iptraf
install -d -m 755 $RPM_BUILD_ROOT/var/run/iptraf
install -m 755 iptraf rvnamed $RPM_BUILD_ROOT/usr/sbin
cd ..
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 Documentation/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir html
cp -r Documentation/*.{html,png} Documentation/stylesheet-images  html/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc html/ CHANGES FAQ README* RELEASE-NOTES
%dir /var/lib/iptraf
%dir /var/run/iptraf
%doc %{_mandir}/*/*
/usr/sbin/iptraf
/usr/sbin/rvnamed

%changelog -n iptraf
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 24 2005 - pnemec@suse.cz
- fix strict aliasing errors.
- added patch -strict-aliasing.patch
* Wed Nov 23 2005 - pnemec@suse.cz
- updated to new version 3.0.0
- fixed headers and support/Makefile to build
* Thu Sep 08 2005 - pnemec@suse.cz
- fixed file permisions bug [#114849]
* Mon Aug 29 2005 - postadal@suse.cz
- added support for ni, br, tap, dummy and vmnet devices
  [#105545] (dev.diff)
* Fri Jun 17 2005 - meissner@suse.de
- use RPM_OPT_FLAGS in support/ too.
* Mon Jun 13 2005 - kukuk@suse.de
- Avoid using kernel headers if there are glibc variants
* Wed Apr 13 2005 - arvin@suse.de
- added support for modem device
* Tue Jan 18 2005 - postadal@suse.cz
- added support for dsl device [#49721, #49882]
* Thu Sep 30 2004 - postadal@suse.cz
- allow normal user use iptraf if the s-bit is set [#46231] (euid-fix.diff)
* Fri Sep 03 2004 - kukuk@suse.de
- Fix compiling with new glibc headers
* Tue Apr 20 2004 - postadal@suse.cz
- set iptraf and rvnamed permission to 0755
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Jan 13 2003 - postadal@suse.cz
- updated to version 2.7.0
  * added support for Token Ring, sbni long-range modem, Free s/WAN IPSec
  logical, DVB (sm2*, sm3*, penta*), wireless LAN (wlan*, wvlan*) interfaces
  * a lot of fixes
* Mon Dec 17 2001 - cihlar@suse.cz
- added /var/run/iptraf to package
- fixed man pages
* Thu Nov 29 2001 - cihlar@suse.cz
- update to version 2.5.0:
  * many fixes and improvements
* Wed Jul 04 2001 - cihlar@suse.cz
- update to version 2.4.0
- added BuildRoot
- clean up spec file
* Thu Jan 04 2001 - ray@suse.de
- update to version 2.3.1
* Tue Feb 15 2000 - aj@suse.de
- Fix CFLAGS.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- added CFLAGS for PPC
* Thu Jan 21 1999 - ro@suse.de
- no m486 on alpha
* Mon Sep 14 1998 - ro@suse.de
- added directory /var/iptraf to filelist
* Thu Aug 20 1998 - ro@suse.de
- fixed src/dirs.h (adapted to initial changes in Makefile)
- and adapted the README.rvnamed
* Sat Jun 20 1998 - ray@suse.de
- new package
